# -*- coding: utf-8 -*-
"""
Created on Thu Aug  6 23:50:47 2015

@author: Alain
"""
import matplotlib.pyplot as plt

""" LECTURE DU FICHIER TEXTE """
fichier = open("RMN.txt")
lignes = fichier.readlines()
fichier.close()

delta = []
intensite = []
for l in lignes:
    l = l.replace("\n", "")#pb de lecture avec mon fichier créé sur un mac !
    if len(l) > 0 :#idem... lignes vides dans certains cas
        ls=l.split(';')
        if len(ls) >= 2 : # au cas où...ces 3 lignes commentées ne sont pas exigibles dans la vraie vie !
            delta.append(float(ls[0]))
            intensite.append(float(ls[1]))

deltaIntegre=[]
integre=[]
I = 0
for i in range(len(delta)-2, 0, -1):
    deltaIntegre.append((delta[i]+delta[i+1])/2)
    I = I + (intensite[i]+intensite[i+1])*(delta[i+1]-delta[i])/2
    integre.append(I)
       
fig, ax1 = plt.subplots()
ax1.plot(delta, intensite, 'r')
ax1.set_xlabel('- déplacement chimique (ppm)')
ax1.get_yaxis().set_visible(False)
ax1.set_xlim(5,0)
#ax1.set_ylabel('Intensité', color='r')
#for tl in ax1.get_yticklabels():
#    tl.set_color('r')

ax2 = ax1.twinx()
ax2.plot(deltaIntegre, integre, 'b')
ax2.get_yaxis().set_visible(False)
ax2.set_xlim(5,0)
#ax2.set_ylabel('Intégration', color='b')
#for tl in ax2.get_yticklabels():
#    tl.set_color('b')
plt.show()
